import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.literal(true).optional(),
  userId: z.literal(true).optional()
}).strict();
export const DatabaseBackupAvgAggregateInputObjectSchema: z.ZodType<Prisma.DatabaseBackupAvgAggregateInputType> = makeSchema() as unknown as z.ZodType<Prisma.DatabaseBackupAvgAggregateInputType>;
export const DatabaseBackupAvgAggregateInputObjectZodSchema = makeSchema();
